import { ChangeDetectionStrategy, Component } from '@angular/core';
import { NgbDatepickerDayView } from '@isp/xdce-widget';

@Component({
  selector: '[ngbFidDatepickerDayView]',
  changeDetection: ChangeDetectionStrategy.OnPush,
  host: {
    'class': 'btn-secondary',
    '[class.bg-primary]': 'selected',
    '[class.text-white]': 'selected',
    '[class.text-muted]': 'isMuted()',
    '[class.outside]': 'isOutside()',
    '[class.notOutside]': '!isOutside()',
    '[class.active]': 'focused',
    '[class.is-today]': 'isToday',
    '[class.is-holiday]': 'isHoliday',
    '[class.is-weekend]': 'isWeekend && !selected',
    '[class.is-daypast]': 'isDayPast',
    '[class.is-fiscal]': 'isFiscalDay'
  },
  template: '<ng-container></ng-container>',
})
export class NgbFidDatepickerDayView extends NgbDatepickerDayView {

}